                                                                                                                                                                !    Reshavanje j-ne kretanja za planetu oko Sunca - Ojlerova metoda 
!     Program
  Program kepler 
! Deklaracija konstanata u programu
	real*8, parameter:: pi=3.141592d0
!  zadavanje pochetnih uslova
   real*8, parameter:: gm=pi*pi*4.d0 !univerzalna gravitacione konstanta
   ! konachno vreme, korak u vremenu, pochetno vreme
! deklaracija tipa svih promenljivih 
      INTEGER    k,max  ! broj koraka 
 	  real*8      x,y,vx,vy,a,r,r3  ! redom : trenutni polozhaj, brzina, ubrzanje, energija, ratojanja...
	  real*8 h ! korak u vremenu
	  real*8 moment,energija,ak
! Otvaranje fajla (datoteke) u koji ce se smestiti rezultati izrachunavanja
    open(30,file='keplera.dat',status='unknown')
! prorachunavanje 
    x=1.0
  y=1.
  vx=0.0
  vy=2.*pi
  max=1200
  h=2*pi/max
  k=0
! 
  do while(k.le.max)
! 
   r=x*x+y*y
   r3=r*dsqrt(r)
   a=-gm/r3
   moment=y*vx-x*vy
   energija=1./2.*(vx*vx+vy*vy)-4.*pi*pi/dsqrt(r)
   ak=dfloat(k)
!  ispisivanje podataka u datoteku, 100 je broj naredbe koja pokazuje kako se ispisuju podaci
  write(30,100) x,y,ak*h,moment,energija,vx,vy
  vx=vx+a*x*h
  vy=vy+a*y*h
   x=x+vx*h
  y=y+vy*h
  k=k+1
  enddo
100 format(10(e13.7,2x))
  stop
end	